Read vault connection metadata
Requires an authenticated tenant principal. Generated from the production route registered in `internal/features/secret_manager/inbound/http.go`.
/v1/application/secret-manager/connections/{id}Requires an authenticated tenant principal. Generated from the production route registered in internal/features/secret_manager/inbound/http.go.
Authorization
bearerAuth Engine-issued API key or tenant-signed JWT.
In: header
Path Parameters
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/application/secret-manager/connections/497f6eca-6276-4993-bfeb-53cbbbba6f08"{}List vault connections
Requires an authenticated tenant principal. Generated from the production route registered in `internal/features/secret_manager/inbound/http.go`.
Manage a vault connection
Requires an authenticated tenant principal. Generated from the production route registered in `internal/features/secret_manager/inbound/http.go`.